EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_IMAGE_EVENT_DROP =
   EFL_EVENT_DESCRIPTION("drop");

Eina_Bool _efl_ui_image_icon_set(Eo *obj, Efl_Ui_Image_Data *pd, const char *name);


static Eina_Error
__eolian_efl_ui_image_icon_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   const char *cval;
   if (!eina_value_string_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_image_icon_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_image_icon_set, Eina_Bool, 0, EFL_FUNC_CALL(name), const char *name);

const char *_efl_ui_image_icon_get(const Eo *obj, Efl_Ui_Image_Data *pd);


static Eina_Value
__eolian_efl_ui_image_icon_get_reflect(const Eo *obj)
{
   const char *val = efl_ui_image_icon_get(obj);
   return eina_value_string_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_image_icon_get, const char *, NULL);

Efl_Object *_efl_ui_image_efl_object_constructor(Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_object_invalidate(Eo *obj, Efl_Ui_Image_Data *pd);


Eina_Error _efl_ui_image_efl_file_load(Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_file_unload(Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_gfx_color_color_set(Eo *obj, Efl_Ui_Image_Data *pd, int r, int g, int b, int a);


void _efl_ui_image_efl_gfx_entity_visible_set(Eo *obj, Efl_Ui_Image_Data *pd, Eina_Bool v);


void _efl_ui_image_efl_gfx_entity_position_set(Eo *obj, Efl_Ui_Image_Data *pd, Eina_Position2D pos);


void _efl_ui_image_efl_gfx_entity_size_set(Eo *obj, Efl_Ui_Image_Data *pd, Eina_Size2D size);


Eina_Size2D _efl_ui_image_efl_gfx_view_view_size_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_gfx_image_can_upscale_set(Eo *obj, Efl_Ui_Image_Data *pd, Eina_Bool upscale);


Eina_Bool _efl_ui_image_efl_gfx_image_can_upscale_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_gfx_image_can_downscale_set(Eo *obj, Efl_Ui_Image_Data *pd, Eina_Bool downscale);


Eina_Bool _efl_ui_image_efl_gfx_image_can_downscale_get(const Eo *obj, Efl_Ui_Image_Data *pd);


Eina_Size2D _efl_ui_image_efl_gfx_image_image_size_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_gfx_image_load_controller_load_async_start(Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_gfx_image_load_controller_load_async_cancel(Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_gfx_image_load_controller_load_dpi_set(Eo *obj, Efl_Ui_Image_Data *pd, double dpi);


double _efl_ui_image_efl_gfx_image_load_controller_load_dpi_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_gfx_image_load_controller_load_size_set(Eo *obj, Efl_Ui_Image_Data *pd, Eina_Size2D size);


Eina_Size2D _efl_ui_image_efl_gfx_image_load_controller_load_size_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_gfx_image_load_controller_load_orientation_set(Eo *obj, Efl_Ui_Image_Data *pd, Eina_Bool enable);


Eina_Bool _efl_ui_image_efl_gfx_image_load_controller_load_orientation_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_gfx_image_load_controller_load_scale_down_set(Eo *obj, Efl_Ui_Image_Data *pd, int div);


int _efl_ui_image_efl_gfx_image_load_controller_load_scale_down_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_gfx_image_load_controller_load_skip_header_set(Eo *obj, Efl_Ui_Image_Data *pd, Eina_Bool skip);


Eina_Bool _efl_ui_image_efl_gfx_image_load_controller_load_skip_header_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_gfx_image_load_controller_load_region_set(Eo *obj, Efl_Ui_Image_Data *pd, Eina_Rect region);


Eina_Rect _efl_ui_image_efl_gfx_image_load_controller_load_region_get(const Eo *obj, Efl_Ui_Image_Data *pd);


Eina_Bool _efl_ui_image_efl_gfx_image_load_controller_load_region_support_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_gfx_image_smooth_scale_set(Eo *obj, Efl_Ui_Image_Data *pd, Eina_Bool smooth_scale);


Eina_Bool _efl_ui_image_efl_gfx_image_smooth_scale_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_gfx_image_scale_method_set(Eo *obj, Efl_Ui_Image_Data *pd, Efl_Gfx_Image_Scale_Method scale_method);


Efl_Gfx_Image_Scale_Method _efl_ui_image_efl_gfx_image_scale_method_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_gfx_image_orientable_image_orientation_set(Eo *obj, Efl_Ui_Image_Data *pd, Efl_Gfx_Image_Orientation dir);


Efl_Gfx_Image_Orientation _efl_ui_image_efl_gfx_image_orientable_image_orientation_get(const Eo *obj, Efl_Ui_Image_Data *pd);


double _efl_ui_image_efl_gfx_image_ratio_get(const Eo *obj, Efl_Ui_Image_Data *pd);


Eina_Rect _efl_ui_image_efl_gfx_image_content_region_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_gfx_image_border_insets_set(Eo *obj, Efl_Ui_Image_Data *pd, int l, int r, int t, int b);


void _efl_ui_image_efl_gfx_image_border_insets_get(const Eo *obj, Efl_Ui_Image_Data *pd, int *l, int *r, int *t, int *b);

static void __eolian_efl_ui_image_efl_gfx_image_border_insets_get(const Eo *obj, Efl_Ui_Image_Data *pd, int *l, int *r, int *t, int *b)
{
   if (l) *l = 0;
   if (r) *r = 0;
   if (t) *t = 0;
   if (b) *b = 0;
   _efl_ui_image_efl_gfx_image_border_insets_get(obj, pd, l, r, t, b);
}


void _efl_ui_image_efl_gfx_image_border_insets_scale_set(Eo *obj, Efl_Ui_Image_Data *pd, double scale);


double _efl_ui_image_efl_gfx_image_border_insets_scale_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_gfx_image_center_fill_mode_set(Eo *obj, Efl_Ui_Image_Data *pd, Efl_Gfx_Center_Fill_Mode fill);


Efl_Gfx_Center_Fill_Mode _efl_ui_image_efl_gfx_image_center_fill_mode_get(const Eo *obj, Efl_Ui_Image_Data *pd);


Eina_Error _efl_ui_image_efl_gfx_image_stretch_region_set(Eo *obj, Efl_Ui_Image_Data *pd, Eina_Iterator *horizontal, Eina_Iterator *vertical);


void _efl_ui_image_efl_gfx_image_stretch_region_get(const Eo *obj, Efl_Ui_Image_Data *pd, Eina_Iterator **horizontal, Eina_Iterator **vertical);

static void __eolian_efl_ui_image_efl_gfx_image_stretch_region_get(const Eo *obj, Efl_Ui_Image_Data *pd, Eina_Iterator **horizontal, Eina_Iterator **vertical)
{
   if (horizontal) *horizontal = NULL;
   if (vertical) *vertical = NULL;
   _efl_ui_image_efl_gfx_image_stretch_region_get(obj, pd, horizontal, vertical);
}


void _efl_ui_image_efl_gfx_image_scale_hint_set(Eo *obj, Efl_Ui_Image_Data *pd, Efl_Gfx_Image_Scale_Hint hint);


Efl_Gfx_Image_Scale_Hint _efl_ui_image_efl_gfx_image_scale_hint_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_gfx_image_content_hint_set(Eo *obj, Efl_Ui_Image_Data *pd, Efl_Gfx_Image_Content_Hint hint);


Efl_Gfx_Image_Content_Hint _efl_ui_image_efl_gfx_image_content_hint_get(const Eo *obj, Efl_Ui_Image_Data *pd);


Eina_Error _efl_ui_image_efl_gfx_image_image_load_error_get(const Eo *obj, Efl_Ui_Image_Data *pd);


Eina_Bool _efl_ui_image_efl_playable_playable_get(const Eo *obj, Efl_Ui_Image_Data *pd);


Eina_Bool _efl_ui_image_efl_player_playing_set(Eo *obj, Efl_Ui_Image_Data *pd, Eina_Bool playing);


Eina_Bool _efl_ui_image_efl_player_playing_get(const Eo *obj, Efl_Ui_Image_Data *pd);


Eina_Bool _efl_ui_image_efl_player_paused_set(Eo *obj, Efl_Ui_Image_Data *pd, Eina_Bool paused);


Eina_Bool _efl_ui_image_efl_player_paused_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_player_playback_position_set(Eo *obj, Efl_Ui_Image_Data *pd, double sec);


double _efl_ui_image_efl_player_playback_position_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_player_playback_progress_set(Eo *obj, Efl_Ui_Image_Data *pd, double progress);


double _efl_ui_image_efl_player_playback_progress_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_player_playback_speed_set(Eo *obj, Efl_Ui_Image_Data *pd, double speed);


double _efl_ui_image_efl_player_playback_speed_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_player_autoplay_set(Eo *obj, Efl_Ui_Image_Data *pd, Eina_Bool autoplay);


Eina_Bool _efl_ui_image_efl_player_autoplay_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_player_playback_loop_set(Eo *obj, Efl_Ui_Image_Data *pd, Eina_Bool looping);


Eina_Bool _efl_ui_image_efl_player_playback_loop_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_layout_signal_signal_emit(Eo *obj, Efl_Ui_Image_Data *pd, const char *emission, const char *source);


void _efl_ui_image_efl_layout_signal_message_send(Eo *obj, Efl_Ui_Image_Data *pd, int id, const Eina_Value msg);


Eina_Bool _efl_ui_image_efl_layout_signal_signal_callback_add(Eo *obj, Efl_Ui_Image_Data *pd, const char *emission, const char *source, void *func_data, EflLayoutSignalCb func, Eina_Free_Cb func_free_cb);


Eina_Bool _efl_ui_image_efl_layout_signal_signal_callback_del(Eo *obj, Efl_Ui_Image_Data *pd, const char *emission, const char *source, void *func_data, EflLayoutSignalCb func, Eina_Free_Cb func_free_cb);


void _efl_ui_image_efl_layout_signal_signal_process(Eo *obj, Efl_Ui_Image_Data *pd, Eina_Bool recurse);


Eina_Size2D _efl_ui_image_efl_layout_group_group_size_min_get(const Eo *obj, Efl_Ui_Image_Data *pd);


Eina_Size2D _efl_ui_image_efl_layout_group_group_size_max_get(const Eo *obj, Efl_Ui_Image_Data *pd);


const char *_efl_ui_image_efl_layout_group_group_data_get(const Eo *obj, Efl_Ui_Image_Data *pd, const char *key);


Eina_Bool _efl_ui_image_efl_layout_group_part_exist_get(const Eo *obj, Efl_Ui_Image_Data *pd, const char *part);


int _efl_ui_image_efl_layout_calc_calc_freeze(Eo *obj, Efl_Ui_Image_Data *pd);


int _efl_ui_image_efl_layout_calc_calc_thaw(Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_layout_calc_calc_auto_update_hints_set(Eo *obj, Efl_Ui_Image_Data *pd, Eina_Bool update);


Eina_Bool _efl_ui_image_efl_layout_calc_calc_auto_update_hints_get(const Eo *obj, Efl_Ui_Image_Data *pd);


Eina_Size2D _efl_ui_image_efl_layout_calc_calc_size_min(Eo *obj, Efl_Ui_Image_Data *pd, Eina_Size2D restricted);


Eina_Rect _efl_ui_image_efl_layout_calc_calc_parts_extends(Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_layout_calc_calc_force(Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_canvas_object_clipper_set(Eo *obj, Efl_Ui_Image_Data *pd, Efl_Canvas_Object *clipper);


void _efl_ui_image_efl_canvas_group_group_member_add(Eo *obj, Efl_Ui_Image_Data *pd, Efl_Canvas_Object *sub_obj);


void _efl_ui_image_efl_ui_draggable_drag_target_set(Eo *obj, Efl_Ui_Image_Data *pd, Eina_Bool set);


Eina_Bool _efl_ui_image_efl_ui_draggable_drag_target_get(const Eo *obj, Efl_Ui_Image_Data *pd);


Eina_Error _efl_ui_image_efl_ui_property_bind_property_bind(Eo *obj, Efl_Ui_Image_Data *pd, const char *key, const char *property);


Eina_Error _efl_ui_image_efl_ui_widget_theme_apply(Eo *obj, Efl_Ui_Image_Data *pd);


Eina_Bool _efl_ui_image_efl_ui_widget_widget_input_event_handler(Eo *obj, Efl_Ui_Image_Data *pd, const Efl_Event *eo_event, Efl_Canvas_Object *source);


Eina_Rect _efl_ui_image_efl_access_component_extents_get(const Eo *obj, Efl_Ui_Image_Data *pd, Eina_Bool screen_coords);


const Efl_Access_Action_Data *_efl_ui_image_efl_access_widget_action_elm_actions_get(const Eo *obj, Efl_Ui_Image_Data *pd);


void _efl_ui_image_efl_gfx_arrangement_content_align_set(Eo *obj, Efl_Ui_Image_Data *pd, Efl_Gfx_Align align_horiz, Efl_Gfx_Align align_vert);


void _efl_ui_image_efl_gfx_arrangement_content_align_get(const Eo *obj, Efl_Ui_Image_Data *pd, Efl_Gfx_Align *align_horiz, Efl_Gfx_Align *align_vert);

static void __eolian_efl_ui_image_efl_gfx_arrangement_content_align_get(const Eo *obj, Efl_Ui_Image_Data *pd, Efl_Gfx_Align *align_horiz, Efl_Gfx_Align *align_vert)
{
   if (align_horiz) *align_horiz = 0.500000;
   if (align_vert) *align_vert = 0.500000;
   _efl_ui_image_efl_gfx_arrangement_content_align_get(obj, pd, align_horiz, align_vert);
}


static Eina_Bool
_efl_ui_image_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_IMAGE_EXTRA_OPS
#define EFL_UI_IMAGE_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_image_icon_set, _efl_ui_image_icon_set),
      EFL_OBJECT_OP_FUNC(efl_ui_image_icon_get, _efl_ui_image_icon_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_image_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_invalidate, _efl_ui_image_efl_object_invalidate),
      EFL_OBJECT_OP_FUNC(efl_file_load, _efl_ui_image_efl_file_load),
      EFL_OBJECT_OP_FUNC(efl_file_unload, _efl_ui_image_efl_file_unload),
      EFL_OBJECT_OP_FUNC(efl_gfx_color_set, _efl_ui_image_efl_gfx_color_color_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_visible_set, _efl_ui_image_efl_gfx_entity_visible_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_position_set, _efl_ui_image_efl_gfx_entity_position_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_size_set, _efl_ui_image_efl_gfx_entity_size_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_view_size_get, _efl_ui_image_efl_gfx_view_view_size_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_can_upscale_set, _efl_ui_image_efl_gfx_image_can_upscale_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_can_upscale_get, _efl_ui_image_efl_gfx_image_can_upscale_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_can_downscale_set, _efl_ui_image_efl_gfx_image_can_downscale_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_can_downscale_get, _efl_ui_image_efl_gfx_image_can_downscale_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_size_get, _efl_ui_image_efl_gfx_image_image_size_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_async_start, _efl_ui_image_efl_gfx_image_load_controller_load_async_start),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_async_cancel, _efl_ui_image_efl_gfx_image_load_controller_load_async_cancel),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_dpi_set, _efl_ui_image_efl_gfx_image_load_controller_load_dpi_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_dpi_get, _efl_ui_image_efl_gfx_image_load_controller_load_dpi_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_size_set, _efl_ui_image_efl_gfx_image_load_controller_load_size_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_size_get, _efl_ui_image_efl_gfx_image_load_controller_load_size_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_orientation_set, _efl_ui_image_efl_gfx_image_load_controller_load_orientation_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_orientation_get, _efl_ui_image_efl_gfx_image_load_controller_load_orientation_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_scale_down_set, _efl_ui_image_efl_gfx_image_load_controller_load_scale_down_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_scale_down_get, _efl_ui_image_efl_gfx_image_load_controller_load_scale_down_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_skip_header_set, _efl_ui_image_efl_gfx_image_load_controller_load_skip_header_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_skip_header_get, _efl_ui_image_efl_gfx_image_load_controller_load_skip_header_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_region_set, _efl_ui_image_efl_gfx_image_load_controller_load_region_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_region_get, _efl_ui_image_efl_gfx_image_load_controller_load_region_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_controller_load_region_support_get, _efl_ui_image_efl_gfx_image_load_controller_load_region_support_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_smooth_scale_set, _efl_ui_image_efl_gfx_image_smooth_scale_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_smooth_scale_get, _efl_ui_image_efl_gfx_image_smooth_scale_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_scale_method_set, _efl_ui_image_efl_gfx_image_scale_method_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_scale_method_get, _efl_ui_image_efl_gfx_image_scale_method_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_orientation_set, _efl_ui_image_efl_gfx_image_orientable_image_orientation_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_orientation_get, _efl_ui_image_efl_gfx_image_orientable_image_orientation_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_ratio_get, _efl_ui_image_efl_gfx_image_ratio_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_content_region_get, _efl_ui_image_efl_gfx_image_content_region_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_border_insets_set, _efl_ui_image_efl_gfx_image_border_insets_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_border_insets_get, __eolian_efl_ui_image_efl_gfx_image_border_insets_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_border_insets_scale_set, _efl_ui_image_efl_gfx_image_border_insets_scale_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_border_insets_scale_get, _efl_ui_image_efl_gfx_image_border_insets_scale_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_center_fill_mode_set, _efl_ui_image_efl_gfx_image_center_fill_mode_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_center_fill_mode_get, _efl_ui_image_efl_gfx_image_center_fill_mode_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_stretch_region_set, _efl_ui_image_efl_gfx_image_stretch_region_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_stretch_region_get, __eolian_efl_ui_image_efl_gfx_image_stretch_region_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_scale_hint_set, _efl_ui_image_efl_gfx_image_scale_hint_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_scale_hint_get, _efl_ui_image_efl_gfx_image_scale_hint_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_content_hint_set, _efl_ui_image_efl_gfx_image_content_hint_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_content_hint_get, _efl_ui_image_efl_gfx_image_content_hint_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_image_load_error_get, _efl_ui_image_efl_gfx_image_image_load_error_get),
      EFL_OBJECT_OP_FUNC(efl_playable_get, _efl_ui_image_efl_playable_playable_get),
      EFL_OBJECT_OP_FUNC(efl_player_playing_set, _efl_ui_image_efl_player_playing_set),
      EFL_OBJECT_OP_FUNC(efl_player_playing_get, _efl_ui_image_efl_player_playing_get),
      EFL_OBJECT_OP_FUNC(efl_player_paused_set, _efl_ui_image_efl_player_paused_set),
      EFL_OBJECT_OP_FUNC(efl_player_paused_get, _efl_ui_image_efl_player_paused_get),
      EFL_OBJECT_OP_FUNC(efl_player_playback_position_set, _efl_ui_image_efl_player_playback_position_set),
      EFL_OBJECT_OP_FUNC(efl_player_playback_position_get, _efl_ui_image_efl_player_playback_position_get),
      EFL_OBJECT_OP_FUNC(efl_player_playback_progress_set, _efl_ui_image_efl_player_playback_progress_set),
      EFL_OBJECT_OP_FUNC(efl_player_playback_progress_get, _efl_ui_image_efl_player_playback_progress_get),
      EFL_OBJECT_OP_FUNC(efl_player_playback_speed_set, _efl_ui_image_efl_player_playback_speed_set),
      EFL_OBJECT_OP_FUNC(efl_player_playback_speed_get, _efl_ui_image_efl_player_playback_speed_get),
      EFL_OBJECT_OP_FUNC(efl_player_autoplay_set, _efl_ui_image_efl_player_autoplay_set),
      EFL_OBJECT_OP_FUNC(efl_player_autoplay_get, _efl_ui_image_efl_player_autoplay_get),
      EFL_OBJECT_OP_FUNC(efl_player_playback_loop_set, _efl_ui_image_efl_player_playback_loop_set),
      EFL_OBJECT_OP_FUNC(efl_player_playback_loop_get, _efl_ui_image_efl_player_playback_loop_get),
      EFL_OBJECT_OP_FUNC(efl_layout_signal_emit, _efl_ui_image_efl_layout_signal_signal_emit),
      EFL_OBJECT_OP_FUNC(efl_layout_signal_message_send, _efl_ui_image_efl_layout_signal_message_send),
      EFL_OBJECT_OP_FUNC(efl_layout_signal_callback_add, _efl_ui_image_efl_layout_signal_signal_callback_add),
      EFL_OBJECT_OP_FUNC(efl_layout_signal_callback_del, _efl_ui_image_efl_layout_signal_signal_callback_del),
      EFL_OBJECT_OP_FUNC(efl_layout_signal_process, _efl_ui_image_efl_layout_signal_signal_process),
      EFL_OBJECT_OP_FUNC(efl_layout_group_size_min_get, _efl_ui_image_efl_layout_group_group_size_min_get),
      EFL_OBJECT_OP_FUNC(efl_layout_group_size_max_get, _efl_ui_image_efl_layout_group_group_size_max_get),
      EFL_OBJECT_OP_FUNC(efl_layout_group_data_get, _efl_ui_image_efl_layout_group_group_data_get),
      EFL_OBJECT_OP_FUNC(efl_layout_group_part_exist_get, _efl_ui_image_efl_layout_group_part_exist_get),
      EFL_OBJECT_OP_FUNC(efl_layout_calc_freeze, _efl_ui_image_efl_layout_calc_calc_freeze),
      EFL_OBJECT_OP_FUNC(efl_layout_calc_thaw, _efl_ui_image_efl_layout_calc_calc_thaw),
      EFL_OBJECT_OP_FUNC(efl_layout_calc_auto_update_hints_set, _efl_ui_image_efl_layout_calc_calc_auto_update_hints_set),
      EFL_OBJECT_OP_FUNC(efl_layout_calc_auto_update_hints_get, _efl_ui_image_efl_layout_calc_calc_auto_update_hints_get),
      EFL_OBJECT_OP_FUNC(efl_layout_calc_size_min, _efl_ui_image_efl_layout_calc_calc_size_min),
      EFL_OBJECT_OP_FUNC(efl_layout_calc_parts_extends, _efl_ui_image_efl_layout_calc_calc_parts_extends),
      EFL_OBJECT_OP_FUNC(efl_layout_calc_force, _efl_ui_image_efl_layout_calc_calc_force),
      EFL_OBJECT_OP_FUNC(efl_canvas_object_clipper_set, _efl_ui_image_efl_canvas_object_clipper_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_group_member_add, _efl_ui_image_efl_canvas_group_group_member_add),
      EFL_OBJECT_OP_FUNC(efl_ui_draggable_drag_target_set, _efl_ui_image_efl_ui_draggable_drag_target_set),
      EFL_OBJECT_OP_FUNC(efl_ui_draggable_drag_target_get, _efl_ui_image_efl_ui_draggable_drag_target_get),
      EFL_OBJECT_OP_FUNC(efl_ui_property_bind, _efl_ui_image_efl_ui_property_bind_property_bind),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_theme_apply, _efl_ui_image_efl_ui_widget_theme_apply),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_input_event_handler, _efl_ui_image_efl_ui_widget_widget_input_event_handler),
      EFL_OBJECT_OP_FUNC(efl_access_component_extents_get, _efl_ui_image_efl_access_component_extents_get),
      EFL_OBJECT_OP_FUNC(efl_access_widget_action_elm_actions_get, _efl_ui_image_efl_access_widget_action_elm_actions_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_arrangement_content_align_set, _efl_ui_image_efl_gfx_arrangement_content_align_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_arrangement_content_align_get, __eolian_efl_ui_image_efl_gfx_arrangement_content_align_get),
      EFL_UI_IMAGE_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"icon", __eolian_efl_ui_image_icon_set_reflect, __eolian_efl_ui_image_icon_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_image_class_desc = {
   EO_VERSION,
   "Efl.Ui.Image",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Image_Data),
   _efl_ui_image_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_image_class_get, &_efl_ui_image_class_desc, EFL_UI_WIDGET_CLASS, EFL_INPUT_CLICKABLE_MIXIN, EFL_UI_DRAGGABLE_INTERFACE, EFL_FILE_MIXIN, EFL_GFX_IMAGE_INTERFACE, EFL_GFX_IMAGE_LOAD_CONTROLLER_INTERFACE, EFL_PLAYER_INTERFACE, EFL_PLAYABLE_INTERFACE, EFL_GFX_VIEW_INTERFACE, EFL_ACCESS_COMPONENT_MIXIN, EFL_ACCESS_WIDGET_ACTION_MIXIN, EFL_GFX_COLOR_MIXIN, EFL_GFX_IMAGE_ORIENTABLE_INTERFACE, EFL_LAYOUT_CALC_INTERFACE, EFL_LAYOUT_GROUP_INTERFACE, EFL_LAYOUT_SIGNAL_INTERFACE, EFL_GFX_ARRANGEMENT_INTERFACE, NULL);
